# Class: ImmutableObject

Defined in: | lib/Types/BasicTypes.coffee
Inherits: | Insert

## Overview

Defines an object that is cannot be changed. You can use this to set an immutable string, or a number.

## Instance Method Summary

- # (String) val()
- # (void) _encode() Encode this operation in such a way that it can be parsed by remote peers.

## Inherited Method Summary

### Methods inherited from Insert

#applyDelete #isDeleted #getDistanceToOrigin #update_sl #execute #on #callEvent #setParent #getUid #saveOperation #validateSavedOperations

## Constructor Details

# (void) constructor(uid, content, prev, next, origin)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- content ( `Object` )

## Instance Method Details

# (String) val()

### Returns:

- ( `String` ) — The content of this operation.

# (void) _encode()

Encode this operation in such a way that it can be parsed by remote peers.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input